<?
$isc = $_SERVER['DOCUMENT_ROOT'];
require_once $isc.'/sys/inc/start.php';
require_once $isc.'/sys/inc/compress.php';
require_once $isc.'/sys/inc/sess.php';
require_once $isc.'/sys/inc/home.php';
require_once $isc.'/sys/inc/settings.php';
require_once $isc.'/sys/inc/db_connect.php';
require_once $isc.'/sys/inc/ipua.php';
require_once $isc.'/sys/inc/fnc.php';
require_once $isc.'/sys/inc/user.php';
only_reg();

$set['title']='Купить значёк';
require_once $isc.'/sys/inc/thead.php';
title();



if(isset($_GET['turop']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `znachki` WHERE `id` = '".intval($_GET['turop'])."'"),0))
{
$turop=mysql_fetch_array(mysql_query("select * from `znachki` where `id`='".intval($_GET['turop'])."'"));
if ($turop['cena'] > $user['balls'])
{
echo '<div class=\'p_m\'>У вас недостаточно баллов</div> ';
require_once $isc.'/sys/inc/tfoot.php';
exit();
}
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-$turop['cena'])."', `znaki` = '$turop[id]' WHERE `id` ='$user[id]'");
mysql_query("INSERT INTO `my_bank` SET 
            `id_user` = '$user[id]',  
             `time`= ".time().", 
             `msg` = '  -$turop[cena] баллов [покупка стикера]'
             ");
msg('Знак успешно обработан! Посмотреть его вы можете на своей страничке...');
include_once $isc.'/sys/inc/tfoot.php';
exit();   
}

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `znachki`"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if($k_post==0) echo '<div class=\'p_m\'>Нет значков</div>';

$splek = mysql_query("select * from `znachki` ORDER by `id` DESC LIMIT $start, $set[p_str];"); 
while ($turop = mysql_fetch_array($splek)){
echo '<div class=\'ankus\'><img src=\''.($turop['url']).'\'><br />';
echo "".img('check.png')." <a href='?turop=$turop[id]'>".htmlspecialchars($turop[name])."</a>";
echo " <small>[".intval($turop[cena])." баллов]</small></div>";


}

if ($k_page>1)str("?",$k_page,$page);
require_once $isc.'/sys/inc/tfoot.php';
?>